Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 153111 - dev-libs/dbus-glib-0.72 failed
Summary: dev-libs/dbus-glib-0.72 failed
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Project Gentopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-27 19:02 UTC by Yangtse Su
Modified: 2006-10-29 10:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info emerge --info (emergeinfo.txt,2.88 KB, text/plain)
2006-10-27 19:05 UTC, Yangtse Su
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yangtse Su 2006-10-27 19:02:25 UTC
In file included from dbus-glib.c:25:
dbus-glib.h:28:30: error: dbus/dbus-shared.h: No such file or directory
In file included from dbus-glib.c:25:
dbus-glib.h:74: error: expected ')' before 'type'
In file included from dbus-glib.c:26:
dbus-glib-lowlevel.h:28:23: error: dbus/dbus.h: No such file or directory
In file included from dbus-glib.c:26:
dbus-glib-lowlevel.h:33: error: expected declaration specifiers or '...' before 'DBusError'
dbus-glib-lowlevel.h:42: error: expected ')' before '*' token
dbus-glib-lowlevel.h:44: error: expected ')' before '*' token
dbus-glib-lowlevel.h:48: error: expected declaration specifiers or '...' before 'DBusMessage'
dbus-glib-lowlevel.h:49: error: expected declaration specifiers or '...' before 'dbus_uint32_t'
dbus-glib-lowlevel.h:51: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
dbus-glib-lowlevel.h:52: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
dbus-glib-lowlevel.h:62: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
dbus-glib-lowlevel.h:65: error: expected declaration specifiers or '...' before 'DBusMessage'
In file included from dbus-glib.c:29:
dbus-gobject.h:27:33: error: dbus/dbus-signature.h: No such file or directory
dbus-glib.c: In function 'dbus_g_connection_flush':
dbus-glib.c:55: warning: implicit declaration of function 'dbus_connection_flush'
dbus-glib.c:55: warning: nested extern declaration of 'dbus_connection_flush'
dbus-glib.c:55: error: 'DBusConnection' undeclared (first use in this function)
dbus-glib.c:55: error: (Each undeclared identifier is reported only once
dbus-glib.c:55: error: for each function it appears in.)
dbus-glib.c:55: error: expected expression before ')' token
dbus-glib.c: In function 'dbus_g_connection_ref':
dbus-glib.c:69: error: 'DBusConnection' undeclared (first use in this function)
dbus-glib.c:69: error: 'c' undeclared (first use in this function)
dbus-glib.c:71: error: expected expression before ')' token
dbus-glib.c:72: warning: implicit declaration of function 'dbus_connection_ref'
dbus-glib.c:72: warning: nested extern declaration of 'dbus_connection_ref'
dbus-glib.c: In function 'dbus_g_connection_unref':
dbus-glib.c:86: error: 'DBusConnection' undeclared (first use in this function)
dbus-glib.c:86: error: 'c' undeclared (first use in this function)
dbus-glib.c:88: error: expected expression before ')' token
dbus-glib.c:89: warning: implicit declaration of function 'dbus_connection_unref'
dbus-glib.c:89: warning: nested extern declaration of 'dbus_connection_unref'
dbus-glib.c: In function 'dbus_g_message_ref':
dbus-glib.c:113: error: 'DBusMessage' undeclared (first use in this function)
dbus-glib.c:113: error: 'c' undeclared (first use in this function)
dbus-glib.c:115: error: expected expression before ')' token
dbus-glib.c:116: warning: implicit declaration of function 'dbus_message_ref'
dbus-glib.c:116: warning: nested extern declaration of 'dbus_message_ref'
dbus-glib.c: In function 'dbus_g_message_unref':
dbus-glib.c:129: error: 'DBusMessage' undeclared (first use in this function)
dbus-glib.c:129: error: 'c' undeclared (first use in this function)
dbus-glib.c:131: error: expected expression before ')' token
dbus-glib.c:132: warning: implicit declaration of function 'dbus_message_unref'
dbus-glib.c:132: warning: nested extern declaration of 'dbus_message_unref'
dbus-glib.c: In function 'dbus_connection_get_g_type':
dbus-glib.c:225: error: 'dbus_connection_ref' undeclared (first use in this function)
dbus-glib.c:226: error: 'dbus_connection_unref' undeclared (first use in this function)
dbus-glib.c: In function 'dbus_message_get_g_type':
dbus-glib.c:244: error: 'dbus_message_ref' undeclared (first use in this function)
dbus-glib.c:245: error: 'dbus_message_unref' undeclared (first use in this function)
dbus-glib.c: At top level:
dbus-glib.c:305: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
dbus-glib.c:320: error: expected '=', ',', ';', 'asm' or '__attribute__' before '*' token
make[4]: *** [dbus-glib.lo] 错误 1
make[4]: Leaving directory `/var/tmp/portage/dev-libs/dbus-glib-0.72/work/dbus-glib-0.72/dbus'
make[3]: *** [all-recursive] 错误 1
make[3]: Leaving directory `/var/tmp/portage/dev-libs/dbus-glib-0.72/work/dbus-glib-0.72/dbus'
make[2]: *** [all] 错误 2
make[2]: Leaving directory `/var/tmp/portage/dev-libs/dbus-glib-0.72/work/dbus-glib-0.72/dbus'
make[1]: *** [all-recursive] 错误 1
make[1]: Leaving directory `/var/tmp/portage/dev-libs/dbus-glib-0.72/work/dbus-glib-0.72'
make: *** [all] 错误 2
Comment 1 Yangtse Su 2006-10-27 19:05:18 UTC
Created attachment 100632 [details]
emerge --info
emerge --info



yes,I know it is a masked pkg.
Comment 2 Steev Klimaszewski (RETIRED) gentoo-dev 2006-10-28 01:19:09 UTC
Try syncing again, this should already be fixed.  It requires dbus-core-0.94, which I forgot to update the dependency.
Comment 3 Yangtse Su 2006-10-28 09:56:31 UTC
I do not think bugs like this should exits.
And things like wrong file size...etc.
Comment 4 Doug Goldstein gentoo-dev 2006-10-28 10:03:15 UTC
Excuse me Yangtse? If you think you can be Mr. Perfect. Become a Gentoo developer. And on a side note. This package is masked. I don't care if it rm -rf /'s your system. 
Comment 5 Yangtse Su 2006-10-29 04:46:13 UTC
Maybe what Doug said is right.
I will do my best to be Mr. Perfect,and a Gentoo developer.
Comment 6 Doug Goldstein gentoo-dev 2006-10-29 10:16:01 UTC
Or maybe you should be understanding of human nature and not criticize people.